Loading...
Searching...
No Matches
unity::shell::notifications::Type Class Reference

Wraps NotificationInterface's type enumeration. More...

`#include <unity/shell/notifications/Enums.h>`

Inheritance diagram for unity::shell::notifications::Type:
[legend]
Collaboration diagram for unity::shell::notifications::Type:
[legend]

## Public Types

enum class | TypeEnum { Invalid = 0 , Confirmation , Ephemeral , Interactive , SnapDecision , Placeholder }
| NotificationInterface's type enumeration. More...

## Detailed Description

Wraps NotificationInterface's type enumeration.

## Member Enumeration Documentation

## TypeEnum

enum class unity::shell::notifications::Type::TypeEnum

strong

NotificationInterface's type enumeration.

This determines the visual and interaction behavior of the displayed notification.

Enumerator
Confirmation | Confirmation (synchronous).
Ephemeral | Ephemeral (input-transparent).
Interactive | Interactive (clickable).
SnapDecision | Snap decision (multi-button).
Placeholder | Non-visible placeholder of default size.

The documentation for this class was generated from the following file:

- include/unity/shell/notifications/Enums.h